﻿// Информация о текущей конфигурации
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Истина, если правки совместимы с текущей конфигурацией
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Булево
//
Функция Совместима() Экспорт
	
	Возврат Метаданные.Имя = Идентификатор() 
	И исперп_Версия.Сравнить(Версия(), "2.5", 2) = 0;
	
КонецФункции // Совместима 

// Возвращает идентификатор модифицируемой конфигурации
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Строка
//
Функция Идентификатор() Экспорт
	
	Возврат "УправлениеПредприятием";
	
КонецФункции // Идентификатор 

// Возвращает версию модифицируемой конфигурации
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Строка
//
Функция Версия() Экспорт
	
	Возврат Метаданные.Версия;
	
КонецФункции // Версия 

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 